%define reltag _beta_2
%define namedreltag -beta-2
%global namedversion %{version}%{?namedreltag}

Name:           plexus-active-collections
Version:        1.0
Release:        1%{?reltag}%{?dist}
Epoch:          0
Summary:        Plexus Container-Backed Active Collections
Group:          Development/Java
License:        ASL 2.0
URL:            http://plexus.codehaus.org/
# svn export http://svn.codehaus.org/plexus/tags/plexus-active-collections-1.0-beta-2 && tar ccf plexus-active-collections-1.0-beta-2.tar.gz plexus-active-collections-1.0-beta-2
Source0:        plexus-active-collections-1.0-beta-2.tar.gz
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
# XXX: 1.0-alpha-12
Requires:       plexus-component-api >= 0:1.0
# XXX: 1.0-alpha-12
Requires:       plexus-container-default >= 0:1.0
BuildRequires:  jpackage-utils
BuildRequires:  maven2
BuildRequires:  maven2-common-poms
BuildRequires:  maven2-plugin-plugin
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  maven-surefire-provider-junit
BuildRequires:  junit >= 0:3.8.2
BuildRequires:  plexus-maven-plugin >= 0:1.3
# XXX: 1.0-alpha-12
BuildRequires:  plexus-component-api >= 0:1.0
# XXX: 1.0-alpha-12
BuildRequires:  plexus-container-default >= 0:1.0
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Plexus Container-Backed Active Collections.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n plexus-active-collections-%{namedversion}

%build
export MAVEN_REPO_LOCAL=`pwd`/.m2/repository
%{_bindir}/mvn-jpp -e -Dmaven.repo.local=$MAVEN_REPO_LOCAL} -Dmaven.test.failure.ignore install javadoc:javadoc

%install
rm -rf %{buildroot}

# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -p -m 644 target/plexus-active-collections-%{namedversion}.jar %{buildroot}%{_javadir}
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do ln -s ${jar} `echo $jar | sed "s|-%{namedversion}||g"`; done)

# poms
install -Dpm 644 pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP-plexus-active-collections.pom
%add_to_maven_depmap org.codehaus.plexus plexus-active-collections %{namedversion} JPP plexus-active-collections

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/plexus-active-collections-%{namedversion}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/plexus-active-collections-%{namedversion}/
ln -s plexus-active-collections-%{namedversion} %{buildroot}%{_javadocdir}/plexus-active-collections

%post
%update_maven_depmap

%postun
%update_maven_depmap

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_javadir}*/plexus-active-collections-%{namedversion}.jar
%{_javadir}*/plexus-active-collections.jar
%{_datadir}/maven2/poms/JPP-plexus-active-collections.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/plexus-active-collections-%{namedversion}
%{_javadocdir}/plexus-active-collections

%changelog
* Fri Oct 14 2011 David Walluck <dwalluck@redhat.com> 0:1.0-1_beta_2
- fix Requires

* Tue Sep 28 2010 Hui Wang <huwang@redhat.com> - 1.0-0.5.beta2
- Adjust BRs

* Mon Sep 06 2010 Hui Wang <huwang@redhat.com> - 1.0-0.4.beta2
- Rebuild with maven221

* Fri Jul 23 2010 Hui Wang <huwang@redhat.com> - 1.0-0.3.beta2
- Fixed mavenpomdir

* Wed May 26 2010 Yong Yang <yyang@redhat.com> - 1.0-0.2.beta2
- Fix JPP pom name

* Mon May 10 2010 Yong Yang <yyang@redhat.com> - 1.0-0.1.beta2
- Initial build
